package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

import com.jasamedika.medifirst2000.base.BaseMaster;
import com.jasamedika.medifirst2000.helper.Caption;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

@Entity
@Table(name = "MappingAlatToBundle_M")
public class MappingAlatToBundle extends BaseMaster {

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectBundleSetAlatFk")
	@Caption(value = "Object Bundle Set Alat")
	private BundleSetAlat bundleSetAlat;

	@Column(name = "ObjectBundleSetAlatFk", insertable = false, updatable = false)
	private Integer bundleSetAlatId;

	@ManyToOne(fetch = FetchType.LAZY)
	@JoinColumn(name = "ObjectAlatFk")
	@Caption(value = "Object Alat")
	private Alat alat;

	@Column(name = "ObjectAlatFk", insertable = false, updatable = false)
	private Integer alatId;

	@Column(name = "Jumlah", nullable = true)
	@Caption(value = "Jumlah")
	private Integer jumlah;

	@Column(name = "Satuan", nullable = true, length = 200)
	@Caption(value = "Satuan")
	private String satuan;

	public BundleSetAlat getBundleSetAlat() {
		return bundleSetAlat;
	}

	public void setBundleSetAlat(BundleSetAlat bundleSetAlat) {
		this.bundleSetAlat = bundleSetAlat;
	}

	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}

	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

	public Alat getAlat() {
		return alat;
	}

	public void setAlat(Alat alat) {
		this.alat = alat;
	}

	@Id
	@GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "public.mappingalattobundle_m_id_seq")
	@javax.persistence.SequenceGenerator(name = "public.mappingalattobundle_m_id_seq", sequenceName = "public.mappingalattobundle_m_id_seq", allocationSize = 1)
	@Column(name = "id")
	protected Integer id;

	public Integer getId() {

		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}
}